/* Specification:
Created/Revised by Barbara Williams on September 8, 2010
Ch. 12 Lab 2
This lab writes a program that contains a class that implements the days of
the week. The program is able to perform the following on an object of the 
class. Set the day, Print the day, Return the day, Return the next day,
Return the previous day, and Calculate and Return the day by adding a
certain amount of days to the current day.*/

// Required by cout command
#include <iostream>

// Required by string data type
#include <string>

// Required by class
#include "TheDaysOfTheWeek.h"

// Default namespace defining library functions (e.g. cout, endl)
using namespace std;

int main()
{
	cout << "Days of the week" << endl << endl;
	
	// Instantiate two objects of class DaysOfTheWeek
	DaysOfTheWeek dayOne;
	DaysOfTheWeek dayTwo;
	
	// Local variables to hold object value
	string myDay = " ";
	int num = 0;
	
	// Ask the user for a day of the week
	cout << "Enter a day of the week such as Mondy, Tuesday, etc..." <<
	endl;
	cin >> myDay;
	cout << endl;
	
	// Set first day for one object using setDay from user entry.
	dayOne.setDay(myDay);
	
	// Display value of the second object using getDay and printDay
	cout << "The default object's day is ";
	dayTwo.getDay();
	dayTwo.printDay();
	cout << endl << endl;
	
	// Displays for Day 1
	cout << "** Day 1 **" << endl;
	cout << "Your day is: ";
	dayOne.printDay();
	cout << endl << endl;
	
	// Displaying the value of minusOneDay.
	cout << "The day before " << dayOne.getDay() << " is " <<
	dayOne.minusOneDay(); // subtract one day from userDay
	cout << endl;
	
	// Displaying the value of plusOneDay.
	cout << "The day after " << dayOne.getDay() << " is " <<
	dayOne.plusOneDay(); // add one day to userDay
	cout << endl;
	
	// Using the addDays function to display value
	// Get a number from user
	cout << "Choose a number of days to add to your day " << endl; 
	cin >> num;
	// use user input to find another day
	cout >> myDay << " + " << num << " = " << dayOne.addDays(num) << endl;
	
	// Display dayOne object value
	cout << "The value of your day is still ";
	dayOne.printDay();
	cout << endl << endl;
	
	// Displays for Day 2
	cout << "** Day 2 **" << endl;
	cout << "Default day is: ";
	dayTwo.getDay();
	dayTwo.printDay();
	cout << endl << endl;
	
	// Displaying the value of minusOneDay.
	cout << "The day before " << dayTwo.GetDay() << " is " <<
	dayTwo.minusOneDay(); // subtract one day from userDay
	cout << endl;
	
	// Displaying the value of plusOneDay.
	cout << "The day after " << dayTwo.GetDay() << " is " <<
	dayTwo.plusOneDay(); // add one day to userDay
	cout << endl << endl;
	
	return 0;
}	// end main
